 /*
 ======Church Bell Timer with Mp3 bells========
 *Built For Bob L Feather Sr.                 *
 *By Bobby L Feather Jr                       *
 *Church Bell Timer V.3                       *
 *Arduino Mega                                *
 *DS1307 RTC                                  *
 *LCS from Ebay 16/2                          *
 *MP3 Triger from SparkFun                    *
 ==============================================
 */
//========Library============================ 
#include <Wire.h>  // Ds1307 up date

#include <LiquidCrystal.h>  // include the library code:

//#define DEBUG 0     // set to 1 to get debugging output via serial.
#define DS1307_I2C_ADDRESS 0x68

// Convert normal decimal numbers to binary coded decimal
byte decToBcd(byte val)
{
  return ( (val/10*16) + (val%10) );
}
// Convert binary coded decimal to normal decimal numbers
byte bcdToDec(byte val)
{
  return ( (val/16*10) + (val%16) );
}

// initialize the library with the numbers of the interface pins
LiquidCrystal lcd(12, 11, 10, 9, 8, 7);   //LiquidCrystal lcd(12, 11, 5, 4, 3, 2);
uint8_t heart[8] = {0x0,0xa,0x1f,0x1f,0xe,0x4,0x0};



// alarm:
int alarmled_pin = 13;


// dstswitch:
int switchdst = 3;





// ALARM VARIABLES:
boolean  alarm_on = true;
boolean signal_on = false;
// DST setting:
boolean DST = false;    // true adds dst false removes it 




//=========:ALARM TIMES:============
int alarm_hour = 9;
int alarm_minute = 0;
int alarm_houra = 10;
int alarm_minutea = 0;
int alarm_hourb = 11;
int alarm_minuteb = 0;
int alarm_hourc = 12;
int alarm_minutec = 0;
int alarm_hourd = 13;
int alarm_minuted = 0;
int alarm_houre = 14;
int alarm_minutee = 0;
int alarm_hourf = 15;
int alarm_minutef = 0;
int alarm_hourg = 16;
int alarm_minuteg = 0;
int alarm_hourh = 17;
int alarm_minuteh = 0;
int alarm_houri = 18;
int alarm_minutei = 0;
int alarm_hourj = 19;
int alarm_minutej = 0;
int alarm_hourk = 20;
int alarm_minutek = 0;
int alarm_hourl = 21;
int alarm_minutel = 0;
int alarm_hourm = 22;
int alarm_minutem = 0;
int alarm_hourn = 23;
int alarm_minuten = 0;
int alarm_houro = 0;
int alarm_minuteo = 0;
int alarm_second = 0;
int alarm_ledoff = 4;


/*====copy and change the # to add alarm======
int alarm_houra = #;
int alarm_minutea = #;
==============================================*/ 




void setup()

  {


  pinMode(switchdst, INPUT);  
   byte second, minute, hour;
  Wire.begin();
  Serial2.begin(38400);

}

void loop() 
{
   
  display1();  // display the time, or the alarm time, depending on the state of the settings switch.
  alarm();    // checks if it's time for the alarm  to start.
  setdst();  //sets the day light saving time offset by 1 hour.
  

  {
 
   
   //byte second, minute, hour, dayOfWeek, dayOfMonth, month, year;

  //getDateDs1307(&second, &minute, &hour, &dayOfWeek, &dayOfMonth, &month, &year);
  byte second, minute, hour;

  getDateDs1307(&second, &minute, &hour);
  Serial.print(hour, DEC);
  Serial.print(":");
  Serial.print(minute, DEC);
  Serial.print(":");
  Serial.print(second, DEC);
  Serial.print("  ");


           
   
    }
   }
